Create An Activity
curl --request POST \
--url https://api.zixflow.com/api/v1/collection-records/activity-list \
--header 'Content-Type: application/json' \
--data '
{
"iconType": "<string>",
"iconValue": "<string>",
"name": "<string>",
"scheduleAt": "<string>",
"description": "<string>",
"associated": "<string>",
"status": "<string>"
}
'import requests
url = "https://api.zixflow.com/api/v1/collection-records/activity-list"
payload = {
"iconType": "<string>",
"iconValue": "<string>",
"name": "<string>",
"scheduleAt": "<string>",
"description": "<string>",
"associated": "<string>",
"status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
iconType: '<string>',
iconValue: '<string>',
name: '<string>',
scheduleAt: '<string>',
description: '<string>',
associated: '<string>',
status: '<string>'
})
};
fetch('https://api.zixflow.com/api/v1/collection-records/activity-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Record created successfully!",
"_id": "655c081eb3b96854c04e621a",
"data": {
"_id": "655c081eb3b96854c04e621a",
"name": "Test Activity",
"scheduleAt": "2023-12-01T00:00:00.000Z",
"description": "Testing",
"associated": null,
"assignee": null,
"status": {
"_id": "65338d9cf781c59be3859c62",
"color": "#9898fa",
"name": "Open",
"celebrationEnabled": false,
"isArchived": false,
"order": 1,
"statusType": "normal",
"timeInStatus": 0
},
"sourceDetails": "",
"source": {
"_id": "65338d9cf781c59be3859c6b",
"name": "API",
"color": "#dbeddb",
"isArchived": false,
"order": 2
},
"createdBy": {
"_id": "65338d9a4d3b7a624a8d63ab",
"name": "Test user",
"avatar": "",
"email": "user@zixflow.com"
},
"completedTime": false,
"activityLostReason": null,
"createdAt": "2023-11-21T01:30:06.242Z"
}
}
{
"status": false,
"message": "No token provided"
}
Activity / Task
Create An Activity
This endpoint creates an activity or task within a collection.
POST
/
api
/
v1
/
collection-records
/
activity-list
Create An Activity
Description
This API endpoint facilitates the creation of an activity or task within a specified collection. The activity can be associated with a collection record and is defined by various parameters provided in the request body.Body
string
required
Specifies the type of icon associated with the activity. Possible values include ‘emoji’, ‘interaction’, ‘messaging_app’, etc.
string
required
Defines the specific value of the icon based on the iconType.
- For ‘emoji’, provide any emoji.
- For ‘interaction’, valid values include ‘call’, ‘meeting’, ‘message’, ‘coffee’, ‘lunch’, ‘event’, ‘drink’, etc.
- For ‘messaging_app’, valid values include ‘whatsapp’, ‘twitter’, ‘linkedin’, ‘hangout’, ‘skype’, ‘slack’, ‘imessage’, ‘facebook_messenger’, ‘signal’, ‘discord’, ‘wechat’, ‘telegram’, ‘viber’, etc.
string
required
The name or title of the activity.
string
required
Specifies the scheduled time for the activity in the format “YYYY-MM-DDTHH:mm:ss.SSSZ”.
string
A description providing additional details about the activity.
string
The ID of the collection record associated with the activity.
string
The ID of the status attribute indicating the current status of the activity.
Response
boolean
Indicates the success or failure of the activity creation. In this case,
true signifies a successful operation.
string
Provides a human-readable message accompanying the response. In this instance,
it confirms the successful creation of the activity with the message “Record created successfully!”
string
The unique identifier for the created activity.
object
An object containing details of the created activity.
Show data
Show data
string
The unique identifier for the activity.
string
The name or title of the activity.
string
The scheduled time for the activity in the format “YYYY-MM-DDTHH:mm:ss.SSSZ”.
string
Additional details or description of the activity.
string
The ID of the associated collection record, if any.
object
object
Details of the status attribute associated with the activity.
Show status
Show status
{
"status": true,
"message": "Record created successfully!",
"_id": "655c081eb3b96854c04e621a",
"data": {
"_id": "655c081eb3b96854c04e621a",
"name": "Test Activity",
"scheduleAt": "2023-12-01T00:00:00.000Z",
"description": "Testing",
"associated": null,
"assignee": null,
"status": {
"_id": "65338d9cf781c59be3859c62",
"color": "#9898fa",
"name": "Open",
"celebrationEnabled": false,
"isArchived": false,
"order": 1,
"statusType": "normal",
"timeInStatus": 0
},
"sourceDetails": "",
"source": {
"_id": "65338d9cf781c59be3859c6b",
"name": "API",
"color": "#dbeddb",
"isArchived": false,
"order": 2
},
"createdBy": {
"_id": "65338d9a4d3b7a624a8d63ab",
"name": "Test user",
"avatar": "",
"email": "user@zixflow.com"
},
"completedTime": false,
"activityLostReason": null,
"createdAt": "2023-11-21T01:30:06.242Z"
}
}
{
"status": false,
"message": "No token provided"
}
⌘I